@echo off

rem
rem This is a romfs file system driver for Windows NT and Windows 2000.
rem Copyright (C) 1999, 2000, 2001 Bo Brantn.
rem This program is free software; you can redistribute it and/or modify
rem it under the terms of the GNU General Public License as published by
rem the Free Software Foundation; either version 2 of the License, or
rem (at your option) any later version.
rem This program is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
rem GNU General Public License for more details.
rem You should have received a copy of the GNU General Public License
rem along with this program; if not, write to the Free Software
rem Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
rem

rem
rem This file makes it convenient to call the build program from Visual Studio
rem but it can also be used manually at the command line.
rem
rem syntax: runbuild nt4|w2k checked|free [-c] | runbuild all
rem

setlocal

set NT4_DDK_ROOT=c:\ddk
set W2K_DDK_ROOT=d:\ntddk

if "%1"=="all" goto all

if "%2"=="checked" goto arg2ok
if "%2"=="free" goto arg2ok
goto usage

:arg2ok
if "%1"=="nt4" goto nt4
if "%1"=="w2k" goto w2k
goto usage

:nt4
if not exist %NT4_DDK_ROOT% goto noddk
pushd \
call %NT4_DDK_ROOT%\bin\setenv %NT4_DDK_ROOT% %2
popd
if "%DDKBUILDENV%"=="" goto noddk
build %3
goto exit

:w2k
if not exist %W2K_DDK_ROOT% goto noddk
pushd \
call %W2K_DDK_ROOT%\bin\setenv %W2K_DDK_ROOT% %2
popd
if "%DDKBUILDENV%"=="" goto noddk
build %3
goto exit

:all
call runbuild nt4 checked -c
call runbuild nt4 free -c
call runbuild w2k checked -c
call runbuild w2k free -c
goto exit

:usage
echo syntax: runbuild nt4^|w2k checked^|free [-c] ^| runbuild all
goto exit

:noddk
echo Can't find the DDK, check the path in runbuild.bat
goto exit

:exit
endlocal
